Summary: Apache HTTP Server (alterator edition)
Name: httpd-alterator
Version: 3.1
Release: alt3
URL: http://httpd.apache.org/
Vendor: Apache Software Foundation

Packager: Stanislav Ievlev <inger@altlinux.org>

Source1: httpd2.conf
Source2: httpd2.init
Source3: httpd2.pamd
Source4: httpd2.logrotate

Source100: chkpwd-%version.tar
Source101: mod_authn_chkpwd-%version.tar
Source102: alterator-admin-%version.tar

License: Apache License, Version 2.0
Group: System/Servers

Requires(pre): cert-sh-functions shadow-utils

Requires(post,preun): service
Requires: alterator-root
Requires: vhttpd-utils
Requires: apache2-common >= 2.2.4-alt18 apache2-httpd-prefork apache2-mod_ssl
Requires: alterator gettext
Provides: webserver
Conflicts: alterator-fbi < 0.15-alt1

BuildPreReq: alterator >= 3.1 alterator-fbi

#Note: apache2-httpd-prefork in buildreq is a bug
# Automatically added by buildreq on Fri Apr 06 2007
BuildRequires: alterator-fbi apache2-devel apache2-httpd-prefork apache2-httpd-worker pam_userpass-devel

%description
Apache HTTP Server (alterator edition)

%prep
%setup -qcT -a 100 -a 101 -a 102

%build
cd chkpwd-%version
%make_build
cd -

cd mod_authn_chkpwd-%version
%make_build
cd -

cd alterator-admin-%version
%make_build libdir=%_libdir
cd -

%install
cd chkpwd-%version
%makeinstall
cd -

cd mod_authn_chkpwd-%version
%makeinstall
cd -

cd alterator-admin-%version
%makeinstall HTMLROOT=%buildroot%_var/www/
cd -

%__install -d %buildroot%_var/run/%name
%__install -d %buildroot%_var/log/%name
%__install -Dpm644 %SOURCE1 %buildroot%_sysconfdir/httpd2/conf/httpd2.alterator.conf
%__subst 's,/usr/lib,%_libdir,' %buildroot%_sysconfdir/httpd2/conf/httpd2.alterator.conf
%__install -Dpm755 %SOURCE2 %buildroot/%_initrddir/httpd-alterator
%__install -Dpm640 %SOURCE3 %buildroot/%_sysconfdir/pam.d/ahttpd
%__install -Dpm644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/%name

#ghost
touch %buildroot%_sysconfdir/httpd2/conf/%name.cnf
mkdir -p %buildroot/%_localstatedir/ssl/certs/
touch %buildroot/%_localstatedir/ssl/certs/httpd-alterator.csr

#groups:
# '_ahttpd' - sgid helper protection
# 'auth' - for shadow files
# 'shadow' in sgid helper - for tcb directories
# '_configd' - for alterator socket

%find_lang alterator-admin

%pre
/usr/sbin/groupadd -r -f _ahttpd
/usr/sbin/groupadd -r -f _configd
/usr/sbin/useradd -r -g _ahttpd -G auth,_configd -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:

%post
%post_service httpd-alterator

%preun
%preun_service httpd-alterator

%files -f alterator-admin.lang
#our specific apache configs
%config(noreplace) %_sysconfdir/logrotate.d/*
%_initdir/*
%_var/run/%name
%attr(750,root,adm) %_logdir/%name
%config(noreplace) %_sysconfdir/httpd2/conf/httpd2.alterator.conf

#auth stuff
%attr(640,root,_ahttpd) %_sysconfdir/pam.d/ahttpd
%attr(710,root,_ahttpd) %dir %_libexecdir/ahttpd
%attr(2711,root,shadow) %_libexecdir/ahttpd/chkpwd
%_libdir/apache2/modules/*.so

#SSL stuff
%ghost  %config(noreplace) %_sysconfdir/httpd2/conf/%name.cnf
%ghost  %_localstatedir/ssl/certs/httpd-alterator.csr

#alterator module
%_var/www/html/*
%_datadir/alterator/applications/*
%_datadir/alterator/help/*/*
%_alterator_backend3dir/*

%changelog
* Mon Feb 18 2008 Stanislav Ievlev <inger@altlinux.org> 3.1-alt3
- fix cert validation

* Sat Feb 02 2008 Stanislav Ievlev <inger@altlinux.org> 3.1-alt2
- move webui.directory to alterator-menu package

* Wed Jan 23 2008 Stanislav Ievlev <inger@altlinux.org> 3.1-alt1
- Use alterator-root to change administrator's password

* Wed Nov 14 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt2
- PreReq shadow-utils

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt1
- add ghost for scr file

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt28
- alterator-admin: switch to new menu system

* Tue Apr 24 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt27
- little interface improvements

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt26
- little CSS optimizations

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt25
- fix access rights to apache log directory

* Fri Apr 13 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt24
- use prefork (classic) model
- reduce MaxClients value to 3 processes.

* Tue Apr 10 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt22
- switch to cert-sh-functions from own mkcert
- use configd-cmdline.layout instead of fbi-cmdline.layout

* Fri Apr 06 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt21
- require apache2-common and apache2-httpd-worker instead of all apache2
- fix build and work with latest apache2 package

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt20
- add openlog call
- move hostname substitution to mkcert function

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt19
- help improvements from kirill@
- fix titles

* Thu Mar 29 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt18
- use %config(noreplace) for apache config too

* Tue Mar 27 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt17
- add Ukrainian translation
- add documentation

* Mon Mar 26 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt16
- assign weight

* Fri Mar 23 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt15
- fix %config(noreplace)
- use automatic .pot generation
- fix CSS rules in reloader.scm

* Wed Mar 21 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt14
- fix ssl settings

* Mon Mar 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt13
- fix constraints
- add logrotate script

* Tue Mar 13 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt12
- add gettext to requires
- improve admin interface, add control for the port to listen
- simplify basic url (now we can start with url http://localhost:8080), thanks to boyarsh@

* Fri Mar 09 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt11
- more translations

* Tue Mar 06 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt10
- create certificate during service startup

* Mon Mar 05 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt9
- init.d file minor fixes

* Thu Mar 01 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt8
- add csr creation
- add certificate uploading

* Tue Feb 27 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt7
- fix .cnf permissions
- add alterator-admin subproject
- fix http server reloading

* Mon Feb 26 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt6
- fix SSL certificate generation

* Thu Feb 22 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt5
- turn on SSL

* Wed Feb 21 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt4
- use external apache

* Tue Feb 20 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt3
- add password authentication

* Mon Feb 19 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt2
- preparations to work with Sisyphus apache2

* Mon Feb 12 2007 Stanislav Ievlev <inger@altlinux.org> 2.2.4-alt1
- 2.2.4

* Tue Dec 19 2006 Stanislav Ievlev <inger@altlinux.org> 2.2.3-alt1
- initial
